using Microsoft.Extensions.Options;
using Microsoft.OpenApi.Models;
using SqlSugar;
using System.ComponentModel;
using Txgy.RBS.IServices;
using Txgy.RBS.Server.WebApi.Register;

var builder = WebApplication.CreateBuilder(args);

//支持Automapper映射
builder.Services.AddAutoMapper(typeof(AutoMapObject));

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();
// 启用本地缓存
builder.Services.AddMemoryCache();

//业务逻辑层的注册 
builder.Register();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
    app.UseSwagger();
    app.UseSwaggerUI();
}

app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
